import React from 'react';
import { connect } from 'umi';
import RevisePasswordMobileComponent from '../../../mobile/common/RevisePasswordMobile';

function RevisePasswordMobile({
  dispatch, app, content, sModelType, sModelsId,
}) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const RevisePasswordMobileProps = {
    app,
    content,
    dispatch,
    sModelType,
    sModelsId,
    onRemovePane: removePane,
  };
  return (
    <RevisePasswordMobileComponent {...RevisePasswordMobileProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(RevisePasswordMobile);
